POLYMAKE(1)

NAME
polymake - tool for algorithmic treatment of polytopes and polyhedra

SYNOPSIS
polymake [-dv] [-A|-a application] [--reconfigure]
         [--config-path filename|user[=directory]]
         [--no-config] [--ignore-config]
         [--script|--iscript [application::]script_file arguments ...]
         [--touch data_file [ data_file ... ]]
         [-]

DESCRIPTION
polymake is open source software for research in polyhedral geometry. It deals with polytopes, polyhedra, and fans as well as simplicial complexes, matroids, graphs, tropical hypersurfaces, and various other objects. When called without arguments it will start an interactive shell, use help; for a very short introduction.

ARGUMENTS

--help
    print help text and exit.

--version
    print the version number, copyright notice, and exit.

[application::]script_file
    execute the perl script in the file. If an application prefix is specified, this application is loaded and the script file is looked up in its script directory.

--script [application::]script_file arguments ...
    execute the perl script in the file, passing the arguments in @ARGV.

--iscript [application::]script_file arguments ...
    execute the perl script in the file, which may contain interactive commands, passing the arguments in @ARGV.

'script text'
    interpret the string as an inline polymake/perl script.

-   read and execute the commands from the standard input. standard output and error streams are not redirected.

--touch data_file [ data_file ... ]
    read the files and write them out; useful for converting from earlier polymake versions

OPTIONS

-A application_name
    start with this application, ignoring the $default_application and @start_applications settings.

-a application_name
    start with this application, ignoring the $default_application but in contrast to -A, load everything in @start_applications.

-d  produce some debug output; can be repeated to increase the debug level.

-v  tell what's going on; can be repeated to increase the verbosity level. This is an obsolete option, please use custom variables $Verbose::* to gain more detailed control.

--reconfigure
    rerun the autoconfiguration sections in all rule files.

--config-path settings_file
    Import settings from a global configuration file. Several --config-path options are allowed, later instances have higher priority.

--config-path user[=config_directory]
    Specify the location of user's private settings, by default it's ~/.polymake which may be overridden via POLYMAKE_USER_DIR environment variable. All global --config-path imports must precede this option.

--no-config
    Don't read any configuration files, don't try to configure rules automatically, don't load rule files requiring auto-configuration. Equivalent to --config-path=none.

--ignore-config
    Don't read any configuration files, skip auto-configuration routines in the rule files. Equivalent to --config-path=ignore.

COPYRIGHT
Copyright © 1997-2021 Ewgenij Gawrilow, Michael Joswig, and the polymake team
Technische Universität Berlin, Germany
https://polymake.org

This is free software licensed under GPL; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.